<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/Commanders.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Commanders_8h_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Commanders.h</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<a href="Commanders_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __commanders_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __commanders_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">// Remove the &#39;//&#39; at the begining of the line to be in debug mode.</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">//#define COMMANDERS_DEBUG_MODE</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">// Remove the &#39;//&#39; at the begining of the line to be in verbose debug mode.</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment">//#define COMMANDERS_DEBUG_VERBOSE_MODE</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">// Remove the &#39;//&#39; at the begining of the line to activate the print function.</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">//#define COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#ifdef DOXYGEN_SPECIFIC</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="Commanders_8h.html#a1fdf52a0fdf8778a4472686eaa278b15">   51</a></span>&#160;<span class="preprocessor">#define COMMANDERS_DEBUG_MODE</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="Commanders_8h.html#a43b270926f3753345583c1ed6f03c831">   54</a></span>&#160;<span class="preprocessor">#define COMMANDERS_DEBUG_VERBOSE_MODE</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">   60</a></span>&#160;<span class="preprocessor">#define COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="Commanders_8h.html#abe48e551c87434efe75af8e7d4df457c">   64</a></span>&#160;<span class="preprocessor">#define  GPIO2_PREFER_SPEED    1</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#include &lt;DIO2.h&gt;</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="comment">//  Exclusion area</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="comment">//NO_CANCOMMANDER</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="comment">//  CANCommander.cpp</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="comment">//  CANCommander.hpp</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="comment">//NO_DCCCOMMANDER</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">//  DccCommander.cpp</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">//  DccCommander.hpp</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="comment">//  DCC_Decoder.cpp</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">//  DCC_Decoder.hpp</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="comment">//NO_I2CCOMMANDER</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="comment">//  I2CCommander.cpp</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="comment">//  I2CCommander.hpp</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="comment">//NO_SERIALCOMMANDER</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="comment">//  SerialCommander.hpp</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="comment">//  TextInterpreter.cpp</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="comment">//  TextInterpreter.hpp</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="comment">//NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="comment">//  ButtonsCommander.cpp</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment">//  ButtonsCommander.hpp</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment">//  ButtonsCommanderButtons.cpp</span></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="comment">//  ButtonsCommanderButtons.hpp</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="comment">//  ButtonsCommanderEncoder.cpp</span></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="comment">//  ButtonsCommanderEncoder.hpp</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment">//  ButtonsCommanderPush.cpp</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment">//  ButtonsCommanderPush.hpp</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="comment">//  ButtonsCommanderSwitch.cpp</span></div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="comment">//  ButtonsCommanderSwitch.hpp</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="comment">//  ButtonsCommanderPotentiometer.cpp</span></div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="comment">//  ButtonsCommanderPotentiometer.hpp</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="comment">//NO_BUTTONSCOMMANDERENCODER</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="comment">//  ButtonsCommanderEncoder.cpp</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="comment">//  ButtonsCommanderEncoder.hpp</span></div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="comment">//NO_BUTTONSCOMMANDERPUSH</span></div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="comment">//  ButtonsCommanderPush.cpp</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="comment">//  ButtonsCommanderPush.hpp</span></div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="comment">//NO_BUTTONSCOMMANDERANALOGPUSHES</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="comment">//  ButtonsCommanderAnalogPush.cpp</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="comment">//  ButtonsCommanderAnalogPush.hpp</span></div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="comment">//NO_BUTTONSCOMMANDERSWITCH</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="comment">//  ButtonsCommanderSwitch.cpp</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="comment">//  ButtonsCommanderSwitch.hpp</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="comment">//NO_BUTTONSCOMMANDERPOTENTIOMETER</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="comment">//  ButtonsCommanderPotentiometer.cpp</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="comment">//  ButtonsCommanderPotentiometer.hpp</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="comment">//#define NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="comment">//#define NO_BUTTONSCOMMANDERENCODER</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="comment">//#define NO_BUTTONSCOMMANDERPUSH</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="comment">//#define NO_BUTTONSCOMMANDERANALOGPUSHES</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="comment">//#define NO_BUTTONSCOMMANDERSWITCH</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="comment">//#define NO_BUTTONSCOMMANDERPOTENTIOMETER</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#define NO_CANCOMMANDER</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="comment">//#define NO_DCCCOMMANDER</span></div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="comment">//#define NO_I2CCOMMANDER</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="preprocessor">#define NO_SERIALCOMMANDER</span></div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="preprocessor">#include &quot;Commander.hpp&quot;</span></div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="preprocessor">#include &quot;Commanders.hpp&quot;</span></div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="preprocessor">#ifndef NO_CANCOMMANDER</span></div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="preprocessor">#include &quot;CANCommander.hpp&quot;</span></div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="preprocessor">#ifndef NO_DCCCOMMANDER</span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="preprocessor">#include &quot;DccCommander.hpp&quot;</span></div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="preprocessor">#ifndef NO_I2CCOMMANDER</span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="preprocessor">#include &quot;I2CCommander.hpp&quot;</span></div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommander.hpp&quot;</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="preprocessor">#ifndef NO_SERIALCOMMANDER</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="SerialCommander_8hpp.html">SerialCommander.hpp</a>&quot;</span></div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="preprocessor">#include &quot;TextInterpreter.hpp&quot;</span></div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="SerialCommander_8hpp_html"><div class="ttname"><a href="SerialCommander_8hpp.html">SerialCommander.hpp</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><a class="el" href="Commanders_8h.html">Commanders.h</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
